#2921 mknb problem on system x during xCAT installation

2.7.2
closed
9
2013-01-28
2012-06-05
Xiaoyan Ye
No

The xCAT 2.7.2 installation is failed on rhel5.7. the error message is:
Command failed: XCATBYPASS=Y /opt/xcat/sbin/mknb x86_64 2>&1. Error message: Error: Unable to find directory /opt/xcat/share/xcat/netboot/x86_64.

The mknb x86_64 command returned error: 1.
httpd has been restarted.
xCAT is now running, it is recommended to tabedit networks
and set a dynamic ip address range on any networks where nodes

I have used the packages:
[root@xyye5 ~]# ll /root/xcat*
-rw-r--r-- 1 root root 3489289 Sep 5 14:45 /root/xcat-core-2.7.2.tar.bz2
-rw-r--r-- 1 root root 95911187 Sep 5 15:27 /root/xcat-dep-201205101638.tar.bz2
The attached file is the xcat installation steps.

Discussion

  • Xiaoyan Ye
    Xiaoyan Ye
    2012-06-05

     
  • Guang Cheng Li
    Guang Cheng Li
    2012-06-05

    Xiao Yan,

    I could not recreate this problem in my RHEL 5.5 PPC64 and RHEL6 x86_64 cluster, could I login your cluster and take a look?

    I do not know why Yum is not trying to install the packages xCAT-nbkernel and xCAT-nbroot- at all, the missing packages caused the mknb command failed. Could you check if the packages xCAT-nbkernel and xCAT-nbroot- are in the repository? thx

     
  • Guang Cheng Li
    Guang Cheng Li
    2012-06-05

    After some further investigation, it turned out that Jarrod's checkin revision #12918 at 05/24/2012 fixed this problem, however, the code checkin was not included in the 2.7.2 GA build.

    To workaround this problem, you can either install xCATnbkernel, xCAT-nbroot* manually or make the directory /opt/xcat/share/xcat/netboot/x86_64 manually before running "yum install xCAT".

    Revision: 12918
    http://xcat.svn.sourceforge.net/xcat/?rev=12918&view=rev
    Author: jbjohnso
    Date: 2012-05-23 19:20:38 +0000 (Wed, 23 May 2012)
    Log Message:


    Fix problem where mknb was not satisfied with genesis alone

    Modified Paths:

    xcat-core/branches/2.7/xCAT-server/lib/xcat/plugins/mknb.pm
    

    Modified: xcat-core/branches/2.7/xCAT-server/lib/xcat/plugins/mknb.pm

    --- xcat-core/branches/2.7/xCAT-server/lib/xcat/plugins/mknb.pm 2012-05-23 19:19:50 UTC (rev 12917)
    +++ xcat-core/branches/2.7/xCAT-server/lib/xcat/plugins/mknb.pm 2012-05-23 19:20:38 UTC (rev 12918)
    @@ -45,8 +45,8 @@
    $callback->({error=>"Need to specify architecture (x86, x86_64 or ppc64)"},{errorcode=>[1]});
    return;
    }
    - unless (-d "$::XCATROOT/share/xcat/netboot/$arch") {
    - $callback->({error=>"Unable to find directory $::XCATROOT/share/xcat/netboot/$arch",errorcode=>[1]});
    + unless (-d "$::XCATROOT/share/xcat/netboot/$arch" or -d "$::XCATROOT/share/xcat/netboot/genesis/$arch") {
    + $callback->({error=>"Unable to find directory $::XCATROOT/share/xcat/netboot/$arch or $::XCATROOT/share/xcat/netboot/genesis/$arch",errorcode=>[1]});
    return;
    }
    unless ( -r "/root/.ssh/id_rsa.pub" ) {

     
  • Guang Cheng Li
    Guang Cheng Li
    2013-01-28

    • Status: pending --> closed